import { Canvas } from "./canvas";
import { IBubble, IContainerInteractivity, IImage, IOptions, IRepulse, ISvg } from "../utils/interfaces";
import { Particles } from "./particles";
import { Retina } from "./retina";
export declare class Container {
    interactivity: IContainerInteractivity;
    options: IOptions;
    retina: Retina;
    canvas: Canvas;
    particles: Particles;
    checkAnimFrame?: number;
    drawAnimFrame?: number;
    bubble: IBubble;
    repulse: IRepulse;
    svg: ISvg;
    img: IImage;
    lastFrameTime: number;
    pageHidden: boolean;
    private readonly eventListeners;
    constructor(tagId: string, params: IOptions);
    handleVisibilityChange(): void;
    addEventsListeners(): void;
    densityAutoParticles(): void;
    destroyContainer(): void;
    exportImg(): void;
    loadImg(): Promise<void>;
    requestFrame(callback: FrameRequestCallback): number;
    cancelAnimation(handle: number): void;
    draw(timestamp: DOMHighResTimeStamp): void;
    checkBeforeDraw(): void;
    init(): void;
    start(): Promise<void>;
}
