import { Bubbler } from "../utils/particle/bubbler";
import { Container } from "./container";
import { Drawer } from "../utils/particle/drawer";
import { Grabber } from "../utils/particle/grabber";
import { IParticleImage, IColor, ICoordinates, IOpacity, ISize, IVelocity } from "../utils/interfaces";
import { Repulser } from "../utils/particle/repulser";
import { ShapeType } from "../utils/enums/types";
import { Updater } from "../utils/particle/updater";
export declare class Particle {
    radius: number;
    size: ISize;
    position: ICoordinates;
    offset: ICoordinates;
    color: IColor;
    opacity: IOpacity;
    velocity: IVelocity;
    initialVelocity: IVelocity;
    shape?: ShapeType;
    img?: IParticleImage;
    opacityBubble?: number;
    text?: string;
    readonly updater: Updater;
    readonly bubbler: Bubbler;
    readonly repulser: Repulser;
    readonly drawer: Drawer;
    readonly grabber: Grabber;
    private readonly container;
    constructor(container: Container, position?: ICoordinates);
    checkOverlap(position?: ICoordinates): void;
    private calcPosition;
    private calcVelocity;
}
